NDK_TOOLCHAIN_VERSION := clang
APP_STL := c++_static
APP_CPPFLAGS := -frtti -fexceptions -DBQ_MUSHHUP_BUFFER_SIZE=2
APP_CPPFLAGS += -std=c++11
APP_CPPFLAGS += -Wno-deprecated-register -Wno-extern-c-compat
ifeq ($(DEBUG_MENU),true)
	APP_CPPFLAGS += -DENABLE_DR_APPSTAT
endif

LOCAL_LOCALE := jp
ifneq ($(PROJECT_LOCALE)"aaa","aaa")
  $(info use global definition of PROJECT_LOCALE: $(PROJECT_LOCALE))
  LOCAL_LOCALE := $(PROJECT_LOCALE)
endif
$(info LOCALE=$(LOCAL_LOCALE))

APP_ABI := armeabi-v7a arm64-v8a

ifeq ($(NDK_DEBUG),0)
	APP_OPTIM := release
	APP_CFLAGS += -O3
endif
